<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create pagecategory editor page
 * get: pagecategory.browse.tpl.php
 * used from pagecategory.page.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$idy = $refValidate->cleanslash($_GET['id']);
db::getInstance()->where("pagecategory_id", $idy);
$result = db::getInstance()->getOne("pagecategory");

if ($result === NULL)
{ // if error...
	message::setErrorRow(_('Databaseerror in Table PAGECATEGORY - Contact the Admin!'), true);
}
else
{
	$refPage->assign('page_title', _('Pagecategory editor'));
	$refPage->assign('textHelp', help('pageCategoryText', $page, TRUE));

	$refPage->assign('id', _('Category-ID') . ': ');
	$refPage->assign('idx',
		'<input type="text" name="idx" id="idx" disabled="disabled" ' .
		'size="8" value="' . $result['pagecategory_id'] . '"/>');

	$refPage->assign('name', _('Name') . ': ');
	$refPage->assign('namex', $result['pagecategory_name']);
	$refPage->assign('namexHelp', help('pagecategoryName', $page));

	// set active-status for all shops
	$refPage->assign('active', strip_tags(_('Activ') . ': '));
	$refPage->assign('active_0', strip_tags(SHORTNAME));
	$activey = '<input type="checkbox" name="activex" id="activex" value="activex" ';

	if ($result['pagecategory_active'] === '0') $activey .= '/>';
	else $activey .= 'checked />';

	$refPage->assign('activex_0', $activey);
	$refPage->assign('text', _('Description'));
	$refPage->assign('categoryActiveHelp', help('pagecategoryActive', $page));

	if (URL_1 <> '')
	{
		$refPage->assign('active_1', strip_tags(SHORTNAME_1));
		$activey = '<input type="checkbox" name="activex_1" id="activex_1" value="activex_1" ';

		if ($result['pagecategory_active_1'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_1', $activey);
	}

	if (URL_2 <> '')
	{
		$refPage->assign('active_2', strip_tags(SHORTNAME_2));
		$activey = '<input type="checkbox" name="activex_2" id="activex_2" value="activex_2" ';

		if ($result['pagecategory_active_2'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_2', $activey);
	}

	if (URL_3 <> '')
	{
		$refPage->assign('active_3', strip_tags(SHORTNAME_3));
		$activey = '<input type="checkbox" name="activex_3" id="activex_3" value="activex_3" ';

		if ($result['pagecategory_active_3'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_3', $activey);
	}

	if (URL_4 <> '')
	{
		$refPage->assign('active_4', strip_tags(SHORTNAME_4));
		$activey = '<input type="checkbox" name="activex_4" id="activex_4" value="activex_4" ';

		if ($result['pagecategory_active_4'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_4', $activey);
	}
	if (URL_5 <> '')
	{
		$refPage->assign('active_5', strip_tags(SHORTNAME_5));
		$activey = '<input type="checkbox" name="activex_5" id="activex_5" value="activex_5" ';

		if ($result['pagecategory_active_5'] === '0') $activey .= '/>';
		else $activey .= 'checked />';

		$refPage->assign('activex_5', $activey);
	}
	
	$refPage->assign('descriptionx', $result['pagecategory_description']);

	// image
	$refPage->assign('image', _('Image') . ': ');
	$refPage->assign('imagex', '<input type="file" size="55" name="uploadfile" id="uploadfile" />');
	$refPage->assign('imagexHelp', help('pageCategoryImage', $page));

	$file = '../images/' . PAGE_CATEGORY_IMAGE_PATH . '/' . $result['pagecategory_id'] . '/' .
		$result['pagecategory_image'];
	if (is_file($file))
	{
      $refPage->assign('imageName', $result['pagecategory_image']);
      $image = getimagesize($file);
      $refPage->assign('imageNote', _('Width') . ': ' . $image[0] . 'px, ' .
              _('Height') . ': ' . $image[1] . 'px = ' . 
              filesize($file) . 'Byte  (' . _('Max.:') . 
              ini_get('upload_max_filesize') . ')');
      
		$refPage->assign('imagey',
			'<img style="border:1px solid black;" src="../images/' . PAGE_CATEGORY_IMAGE_PATH . '/' .
			$result['pagecategory_id'] . '/' . $result['pagecategory_image'] . '">');
	}
	else
	{
      $refPage->assign('imageName', ' ');
      $refPage->assign('imageNote', _(' '));
		$refPage->assign('imagey', _('<h2>No picture available!</h2>'));
	}
		
	$refPage->assign('imageAlt', _('Alt-Attribute') . ': ');
	$refPage->assign('imageAltx', $result['pagecategory_image_alt']);
	$refPage->assign('imageAltxHelp', help('alternate', $page));
	$refPage->assign('imageTitle', _('Title-Attribute') . ': ');
	$refPage->assign('imageTitlex', $result['pagecategory_image_title']);
	$refPage->assign('imageTitlexHelp', help('title', $page));

	// read and set article-browsepages  selected="selected"
	$browsepages = array();
	foreach (getBrowsepages('page.category') as $file)
	{
		if ($file === $result['pagecategory_browsepage'])
		{
			$browsepages[] = array('browsepage_nrx' => $file,
			 'browsepage_textx' => $file,
			 'checkedx' => 'selected="selected"');
		}
		else
		{
			$browsepages[] = array('browsepage_nrx' => $file,
			 'browsepage_textx' => $file,
			 'checkedx' => '');
		}
	}
	$refPage->assign('browsepages', $browsepages);
	$refPage->assign('browsepage', _('Browsepage') . ': ');
	$refPage->assign('browsepagexHelp', help('pageCategoryBrowsepage', $page));

	// read and set categorynames
	$categorys = db::getInstance()->rawQuery("SELECT pagecategory_id, pagecategory_name, pagecategory_active, " .
		"pagecategory_order, pagecategory_top FROM pagecategory WHERE pagecategory_top = '0'" .
		" ORDER BY pagecategory_order");

	$categorys = sortCategorys($categorys, false);
	$categoryTops = array();
	if ($result['pagecategory_top'] === '0')
	{
		$categoryTops[] = array('top_nrx' => '0',
		 'top_textx' => _('Top-category'),
		 'checkedx' => 'selected="selected"');
	}
	else
	{
		$categoryTops[] = array('top_nrx' => '0',
		 'top_textx' => _('Top-category'),
		 'checkedx' => '');
	}
	foreach ($categorys as $cat)
	{
		if ($cat['pagecategory_id'] === $result['pagecategory_top'])
		{
			$categoryTops[] = array('top_nrx' => $cat['pagecategory_id'],
			 'top_textx' => $cat['pagecategory_name'],
			 'checkedx' => 'selected="selected"');
		}
		else
		{
			$categoryTops[] = array('top_nrx' => $cat['pagecategory_id'],
			 'top_textx' => $cat['pagecategory_name'],
			 'checkedx' => '');
		}
	}
	$refPage->assign('categoryTops', $categoryTops);
	$refPage->assign('categoryTop', _('Top-Category') . ': ');
	$refPage->assign('categoryTopxHelp', help('pageCategoryCategory', $page));

	$refPage->assign('toshow', _('Display Products') . ': ');
	$refPage->assign('toshowx', $result['pagecategory_display_pages']);
	$refPage->assign('toShowxHelp', help('pageCategoryToShow', $page));

	$refPage->assign('title', _('Title') . ': ');
	$refPage->assign('titleNo',
		'onmouseover="titleN(this.value)" onkeyup="titleN(this.value)"');
	$refPage->assign('titlex', $result['pagecategory_title']);
	$refPage->assign('titlexHelp', help('pageCategoryTitle', $page));
	
	$refPage->assign('metadescription', _('Metadescrip.') . ': ');
	$refPage->assign('metadescriptionNo',
		'onmouseover="descriptionN(this.value)" onkeyup="descriptionN(this.value)"');
	$refPage->assign('metadescriptionx', $result['pagecategory_metadescription']);
	$refPage->assign('metadescriptionxHelp', help('pageCategoryMetadescription', $page));

	$refPage->assign('metakeyword', _('Meta-Keywords') . ': ');
	$refPage->assign('metakeywordNo',
		'onmouseover="keywordN(this.value)" onkeyup="keywordN(this.value)"');
	$refPage->assign('metakeywordx', $result['pagecategory_metakey']);
	$refPage->assign('metakeywordxHelp', help('pageCategoryMetakeyword', $page));

	$refPage->assign('create', _('Created') . ': ');
	$refPage->assign('createx',
		'<input type="text" name="createx" id="createx" ' .
		'disabled="disabled" value="' .
		date('H:i:s - d.m.Y', strtotime($result['pagecategory_create'])) . '"/>');

	$refPage->assign('lastchange', _('Last change') . ': ');
	$refPage->assign('lastchangex',
		'<input type="text" name="lastchangex" id="lastchangex" ' .
		'disabled="disabled" value="' .
		date('H:i:s - d.m.Y', strtotime($result['pagecategory_last_change'])) . '"/>' .
		'<input type="hidden" name="idx" value="' . $result['pagecategory_id'] . '">' .
		'<input type="hidden" name="orderx" value="' . $result['pagecategory_order'] . '">' .
		'<input type="hidden" name="oldImagex" value="' . $result['pagecategory_image'] . '">' .
		'<input type="hidden" name="oldtopx" value="' . $result['pagecategory_top'] . '">');

	$refPage->assign('btnRefresh',
		'<input type="submit" name="submit" id="refresh" value="' .
		_('Refresh') . '" />');
	$refPage->assign('btnSave',
		'<input type="submit" name="submit" id="save" value="' .
		_('Save') . '" />');
	$refPage->assign('btnAbort',
		'<input type="submit" name="submit" id="abort" value="' .
		_('Abort') . '">');

	$refPage->assign('Form_Start',
		'<form action="' . 'index2.php?page=page&sub=pagecategory&id=' .
		$result['pagecategory_id'] . '&func=save#' . $idy .
		'" method="post" class="niceform fieldset" ' .
		'enctype="multipart/form-data"><fieldset>');
	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.editor.tpl.php');
	$refPage->assign('messagebox', '');
	$refPage->assign('Form_End', '</fieldset></form>');


	// Keyword- and descriptioncounter
	$refPage->assign('descriptionNumber', '<span id="descriptionNumber">0</span>');
	$refPage->assign('keywordNumber', '<span id="keywordNumber">0</span>');
	$refPage->assign('titleNumber', '<span id="titleNumber">0</span>');

	$metascript =
		'<script type="text/javascript">
		function descriptionN(text) 
		{
			var html = text.length;
			html = html + "   ' . _('Character') . ' (' . METADESCRIPTION_LENGH . ')";
			document.getElementById(\'descriptionNumber\').textContent = html;
		}
		function keywordN(text) 
		{
			var html = text.split(\',\').length;
			html = html + "   ' . _('Words') . ' (' . METAKEYWORD_NUMBER . ')";
			document.getElementById(\'keywordNumber\').textContent = html;
		}
		function titleN(text) 
		{
			var html = text.length;
			html = html + "   ' . _('Character') . ' (70)";
			document.getElementById(\'titleNumber\').textContent = html;
		}
	</script>';

	$refPage->assign('scripts',
		'<script type="text/javascript" src="' .
		'module/ckeditor/ckeditor.js"></script>' . $metascript);
}
