<?php

/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Page user->customers
 * List customer and privileges
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $subpage, $refValidate)
{
	if (isset($_GET['func']))
	{
		if ($refValidate->cleanslash($_REQUEST['submit']) === _('Cancel'))
		{ // get the customers-table
			$pagefile = 'module/page/user/customers.page.table.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New'))
		{ // Create new Datarow and open Editor
			$data = Array('customer_firstname' => _('New Customer'));
			db::getInstance()->insert('customer', $data);

			db::getInstance()->where('page_name', _('New Customer'));
			$result = db::getInstance()->getOne('customer');
			$_GET['id'] = $result['customer_id'];

			$pagefile = 'module/page/user/customers.page.editor.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete'))
		{ // Delete Userentry
			if (!empty($_POST['marker']))
			{
				$pagefile = 'module/page/user/customer.page.delete.php';
			}
			else
			{
				$pagefile = 'module/page/user/customer.page.table.php';
			}
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Delete now'))
		{ // deleted entries permanently
			$deleteIds = explode('-', $refValidate->cleanslash($_POST['deleteIds']));

			foreach ($deleteIds as $value)
			{
				if (!empty($value))
				{
					db::getInstance()->where('customer_id', $value);

					if (db::getInstance()->delete('customer'))
					{
						message::setNoteRow(_('Entry, ID') . ': ' . $value .
							_(' successful deleted.'));
					}
					else
					{
						message::setErrorRow(_('Entry, ID') . ': ' . $value .
							_(' could not deleted!'));
					}
				}
			}
			$pagefile = 'module/page/user/customers.page.table.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save') and
			isset($_POST['psw']))
		{ // create and save new Password
			if ($refValidate->cleanslash($_POST['psw']) ===
				$refValidate->cleanslash($_POST['idxx']))
			{
				$idx = $refValidate->testNumber($_POST['idxx'], _('customers-ID'));

				db::getInstance()->where('customer_id', $idx);
				$customer = db::getInstance()->getOne('customer');

				$passwordx = $refValidate->testText($_POST['passwordx'], _('Customer-PSW'), 12, 64);

				if (!empty($passwordx))
				{
					message::setNoteRow(_('New password for customer') . ': ' .
						$customer['customer_name'], true);
					message::setNoteRow(_('Password') . ': ' . $passwordx, true);

					$secureidx = substr(md5($customer['customer_name'] . time() . SECURE), 0, 10);
					$passwordx = md5($passwordx . $secureidx);

					$data = Array(
					 'customer_secureid' => $secureidx,
					 'customer_password' => $passwordx);
					db::getInstance()->where('customer_id', $idx);

					if (db::getInstance()->update('customer', $data))
					{
						message::setNoteRow(_('New password saved successfull!'), true);
					}
					else
					{
						message::setErrorRow(_('New password could not save!'), true);
					}
				}
				else
				{
					message::setErrorRow(_('A password must have min. 12 chars !'), true);
					message::setErrorRow(_('The customer has been deactivated.'));
					$data = Array('customer_active' => 0);
					db::getInstance()->where('customer_id', $idx);
					db::getInstance()->update('customer', $data);
				}
			}
			$pagefile = 'module/page/user/customers.page.table.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}

		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('Save'))
		{ // save data and then get the customer-table
			$pagefile = 'module/page/user/customers.page.save.php';
			if (is_file($pagefile))
				include_once $pagefile;

			$pagefile = 'module/page/user/customers.page.table.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else if ($refValidate->cleanslash($_REQUEST['submit']) === _('New password'))
		{ // save data and then get the customer-table
			$pagefile = 'module/page/user/customers.page.password.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
	}
	else
	{
		if (isset($_GET['id']))
		{ // Edit userentry
			$pagefile = 'module/page/user/customers.page.editor.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
		else
		{
			// get the customer-table
			$pagefile = 'module/page/user/customers.page.table.php';
			if (is_file($pagefile))
				include_once $pagefile;
		}
	}
}

?>
