<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * create category browsepage (article browsepage)
 * get: XXX.tpl.php
 * used from core.php
 *
 * @version    $Id: category.php 35 2018-08-23 11:52:57Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
function contentPage($refPage, $page, $title, $name, $refValidate, $refCart) {
   $sData = '<script type="application/ld+json">
            {
            "@context": "http://schema.org",
            "@type": "Organization",
            "url": "' . URL . '",
            "contactPoint": [
            { "@type": "ContactPoint",
            "telephone": "' . COMPANY_INTERNATIONAL_PHONE . '",
            "contactType": "customer service"
            }
            ]
            }
            </script>';
   $pagefile = 'module/function/price.calculate.php';
   if (is_file($pagefile))
      include_once($pagefile);

   db::getInstance()->where('category_id', $title);
   $result = db::getInstance()->getone('category');

   if (!empty($result['category_title']))
      $refPage->assign('templateTitel', $result['category_title']);

   $cols = Array('category_small_image', 'category_name', 'category_description',
       'category_metadescription', 'category_id', 'category_small_image_alt',
       'category_small_image_title', 'category_image_alt', 'category_image_title');
   db::getInstance()->where('category_top', $title);
   db::getInstance()->where('category_active' . SUFFIX, '1');
   db::getInstance()->orderBy('category_order', 'ASC');
   $result = db::getInstance()->get("category", null, $cols);

   if ($title == '0')
   { // Startpage
      $cols = Array('page_text', 'page_header');
      db::getInstance()->where('page_name', 'page-startpage');
      $resultx = db::getInstance()->getOne('page' . SUFFIX, null, $cols);

      $refPage->assign('header', $resultx['page_header']);
      $texte = array();

      $pageText = placeholder::replace($resultx['page_text']);

      $pageText = xplugin::getPluginCode($pageText);
      $texte = explode('{BOTTOM}', $pageText);

      $refPage->assign('textTop', $texte[0]);
      if (isset($texte[1]))
         $refPage->assign('textBottom', $texte[1]);
   }
   else
   { // Normal page (category / article)
      $cols = Array('category_description', 'category_name', 'category_metadescription',
          'category_metakey', 'category_browsepage');
      db::getInstance()->where('category_id', $title);
      $resultx = db::getInstance()->getOne("category", null, $cols);

      // Create metadescription
      if (!empty($resultx['category_metadescription']))
      {
         $meta = $resultx['category_metadescription'] . ', ' . META_DESCRIPTION;
         $meta = substr($meta, 0, META_DESCRIPTION_LENGH - 1) . '&hellip;';
         $refPage->assign('Metadescription', $meta);
      }

      $refPage->assign('header', $resultx['category_name']);
      $texte = array();
      $pageText = placeholder::replace($resultx['category_description']);
      $pageText = xplugin::getPluginCode($pageText);
      $texte = explode('{BOTTOM}', $pageText);

      $refPage->assign('textTop', $texte[0]);

      if (count($texte) == 2)
      {
         $refPage->assign('textBottom', $texte[1]);
      }
      else
      {
         $refPage->assign('textBottom', '');
      }
   }

   if (count($result) >= 1)
   { // List categorys 
      $sData .= '<script type="application/ld+json">
               {
               "@context": "http://schema.org",
               "@type": "BreadcrumbList",
               "itemListElement":
               [ ';
      $position = 1;
      
      $categoryList = array();
      foreach ($result as $row)
      {
         $attribute = '';
         $attribute .= '" alt="' . $row['category_small_image_alt'];
         $attribute .= '" title="' . $row['category_small_image_title'];

         $categoryList[] = array('text' => $row['category_description'],
             'link' => '/index.php?page=category&amp;xtitle=' . $row['category_id'] .
             '&amp;name=' . seo::getSeoString($row['category_name']),
             'name' => $row['category_name'],
             'image' => '/images/' . CATEGORY_IMAGE_PATH . '/' . $row['category_id'] . '/' .
             CATEGORY_IMAGE_THUMB_PATH . '/' . $row['category_small_image'] . $attribute);
         
         $sData .= '{
                     "@type": "ListItem",
                     "position": ' . strval($position) . ',
                     "item":
                     {
                     "@id": "' . URL . '/index.php?page=article&xtitle=' . 
                     $row['category_id'] . '&name=' . seo::getSeoString($row['category_name']) .'",
                     "image": "' . URL . '/images/category/' . $row['category_id'] . '/' .
                    CATEGORY_IMAGE_THUMB_PATH . '/' . $row['category_small_image'] . '"
                     }
                    },';
            $position ++;
      }
      $sData .= ',,';
      $sData = str_replace(',,,', ' ] } </script>', $sData);
      $refPage->assign('sData', $sData);
      $refPage->assign('categorys', $categoryList);
      $refPage->addtpl('content', '/category.tpl.php');
   }
   else
   { // List article from the selectet category
      $cols = Array('category_display_products');
      db::getInstance()->where('category_id', $title);
      $toShowx = db::getInstance()->getOne("category", null, $cols);
      $toShow = $toShowx['category_display_products'];

      db::getInstance()->where('product_category', $title);
      db::getInstance()->where('product_active' . SUFFIX, '1');
      db::getInstance()->orderBy('product_order', 'ASC');
      $result = db::getInstance()->get("product");

      $pagefile = 'module/function/pagecounter.php';
      if (is_file($pagefile))
         include_once($pagefile);

      $articleList = array();
      $begin = 1;
      $two = 0;
      $three = 0;
      $four = 0;

      $sData .= '<script type="application/ld+json">
               {
               "@context": "http://schema.org",
               "@type": "BreadcrumbList",
               "itemListElement":
               [ ';
      $position = 1;

      foreach ($result as $row)
      {
         if ($displayStart <= $displayEnd and $begin == $displayStart)
         {
            $price = array();
            $tax = array();
            $price = getSingleArticlePriceWithTax($row['product_price_id']);
            $pricex = floatval(str_replace(',', '.', str_replace('.', '', $price['productPrice'])));
            $tax = getArticleTax($row['product_tax_id'], $pricex);
            $two ++;
            $three ++;
            $four ++;
            if ($pricex > 0)
            {
               $taxx = $tax['productTax'];
               $taxValuex = $tax['productTaxValue'];
            }
            else
            {
               $taxx = '0,00';
               $taxValuex = '0';
            }

            $attribute = '';
            if (!empty($row['product_small_image_alt']))
               $attribute .= '" alt="' . $row['product_small_image_alt'];

            if (!empty($row['product_small_image_title']))
               $attribute .= '" title="' . $row['product_small_image_title'];

            $articleList[] = array('text' => $row['product_short_description'],
                'link' => '/index.php?page=article&amp;xtitle=' . $row['product_id'] .
                '&amp;name=' . seo::getSeoString($row['product_name']),
                'name' => $row['product_name'],
                'image' => '/images/' . ARTICLE_IMAGE_PATH . '/' . $title . '/' .
                ARTICLE_IMAGE_THUMB_PATH . '/' . $row['product_small_image'] . $attribute,
                'specialOffer' => $row['product_special_offer'],
                'onStock' => $row['product_stocks_quantity'],
                'sales' => $row['product_sales'],
                'price' => $price['productPrice'],
                'productUnit' => $price['productUnit'],
                'tax' => $taxx,
                'taxValue' => $taxValuex,
                'Currency' => CURRENCY,
                'two' => $two,
                'three' => $three,
                'four' => $four);

            if ($two == 2)
               $two = 0;
            if ($three == 3)
               $three = 0;
            if ($four == 4)
               $four = 0;

            $displayStart++;
            $begin++;
            $sData .= '{
                     "@type": "ListItem",
                     "position": ' . strval($position) . ',
                     "item":
                     {
                     "@id": "' . URL . '/index.php?page=article&xtitle=' . 
                     $row['product_id'] . '&name=' . seo::getSeoString($row['product_name']) .'",
                     "image": "' . URL . '/images/' . ARTICLE_IMAGE_PATH . '/' . $title . '/' .
                    ARTICLE_IMAGE_THUMB_PATH . '/' . $row['product_small_image'] . '"
                     }
                    },';
            $position ++;
         }
         else
         {
            $begin++;
         }
      }
      // Create Structured Data for google-search
      $sData .= ',,';
      $sData = str_replace(',,,', ' ] } </script>', $sData);
      $refPage->assign('sData', $sData);
      placeholder::setPage($refPage);

      $refPage->assign('header', $resultx['category_name']);
      $refPage->assign('articleList', $articleList);
      $refPage->addtpl('content', 'category.browse/' . $resultx['category_browsepage'] . '.tpl.php');
   }
}
