<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Datei: counter.class.php
 *
 * Class with all methodes for count visitors
 * and save data to hits on individual pages
 *
 * @author Norbert Gebert
 * @copyright Norbert Gebert 2018
 * @license GPL3
 *
 * @version 0.1
 * @package Admin
 * @subpackage global
 */
class counter
{

   /**
    * Updated Counter and stores data about the pages visited
    * @return	integer with number of actuall visitors
    */
   public function count() {
      $this->writeStatistics();

      // delete all old entrys
      db::getInstance()->where('UNIX_TIMESTAMP(counter_time)', date($_SERVER['REQUEST_TIME'] - PERIOD), '<');
      db::getInstance()->where('counter_url', URL, '=');
      db::getInstance()->delete('counter');

      db::getInstance()->where('counter_ip', $_SERVER["REMOTE_ADDR"]);
      $result = db::getInstance()->getone('counter');

      if (db::getInstance()->count >= 1)
      { // entry found
         $data = Array('counter_time' => date('Y-m-d H:i:s'),
             'counter_url' => URL);
         db::getInstance()->where('counter_ip', $_SERVER["REMOTE_ADDR"]);
         db::getInstance()->update('counter', $data);
      } else
      {
         // new entry
         $data = Array(
             'counter_ip' => $_SERVER["REMOTE_ADDR"],
             'counter_time' => date('Y-m-d H:i:s'),
             'counter_url' => URL);
         db::getInstance()->insert('counter', $data);
      }

      db::getInstance()->where('counter_time', 0, '<>');
      db::getInstance()->where('counter_url', URL);
      $result = db::getInstance()->get('counter');

      return db::getInstance()->count;
   }

   private function writeStatistics() {
      db::getInstance()->where('UNIX_TIMESTAMP(statistic_time)', ($_SERVER['REQUEST_TIME'] - PERIOD), '<');
      db::getInstance()->where('statistic_ip', $_SERVER['REMOTE_ADDR']);
      db::getInstance()->where('statistic_uri', $_SERVER['REQUEST_URI']);
      $result = db::getInstance()->getone('statistic');

      if (db::getInstance()->count == 0)
      {
         $data = Array(
             'statistic_ip' => $_SERVER["REMOTE_ADDR"],
             'statistic_uri' => $_SERVER["REQUEST_URI"],
             'statistic_time' => date('Y-m-d H:i:s'),
             'statistic_suffix' => SUFFIX,
             'statistic_referer' => isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : "-",
             'statistic_agent' => $_SERVER["HTTP_USER_AGENT"],
             'statistic_host' => $_SERVER["HTTP_HOST"],
             'statistic_response' => intval(http_response_code()));
         db::getInstance()->insert('statistic', $data);
      }
   }

}
