<?php

if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create parts of the category menu
 * used from core.php
 * use topmenu.tpl.php
 * 
 * @since 0.0.2
 * @version 0.0.8
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2012
 * @license    GPL3
 * @category frontend
 * @package menu
 * @subpackage template
 * $Rev:$
 * $Date:$
 * $Author:$
 * $URL:$
 */

/**
 * Description of editor 
 *
 * Includes all serverside php-methods by the javascript
 * online-editor.
 * All Methodes for input, output, save and convert data
 * to and from the editorpage in his diffrent Versions.
 */
class editor {

   static $_buffer = '<script>';
   static $_fonts = '';
   static $_fontarray = '';

   function __construct($texts)
   {
      $i = 0;

      foreach ($texts as $textrow)
      {
         if ($i == 0)
         {
            $i ++;
            self::$_buffer .= 'var activePage = "' . "akPage" . $textrow['editor_page'] . '";';
            self::$_buffer .= 'var activeTextbox = "textbox0";';
         }

         self::$_buffer .= self::_jsArray($textrow['editor_text'], "akPage" . $textrow['editor_page']);
         self::_setFonts($textrow['editor_fonts']);
         self::$_fontarray = self::_jsArrayFonts($textrow['editor_fonts']);
      }
      self::$_buffer .= '</script>';
   }

   /**
    * returns complete syntax for js-array with
    * pagedata
    * @return string js-array syntax
    */
   private static function _jsArray($text, $pageNumber)
   {
      $buffer = 'var textblock = [';
      $bufferArray = array();
      $rows = array();
      $rows = explode('||', $text);
      $i = 0;

      foreach ($rows as $box)
      {
         $row = array();
         $row = explode('|', $box);

         foreach ($row as $command)
         {
            $value = array();
            $value = explode(':', $command);
            $bufferArray[] = $value[1];
         }

         $buffer .= '{ page: "' . $pageNumber . '", ' .
                 'font: "' . $bufferArray[0] . '", ' .
                 'size: ' . $bufferArray[1] . ', ' .
                 'left: ' . $bufferArray[2] . ', ' .
                 'top: ' . $bufferArray[3] . ', ' .
                 'position: "' . $bufferArray[4] . '", ' .
                 'text: "' . $bufferArray[5] . '",' .
                 'box: ' . $i . ' },';
         $bufferArray = array();
         $i++;
      }
      $buffer .= '];';
      $buffer = str_replace('},]', '}]', $buffer);
      return $buffer;
   }

   /**
    * returns complete syntax for js-array with
    * fontdata
    * @return string js-array-Syntax to include 
    */
   private static function _jsArrayFonts($fontdata)
   {
      $buffer = 'var fontarr = [';
      $fontRow = array();
      $fontRow = explode(';', $fontdata);

      foreach ($fontRow as $row)
      {
         $fonts = array();
         $fontname = array();
         $fonts = explode(':', $row);
         $fontname = explode(',', $fonts[1]);

         $buffer .= '{ name: "' . $fonts[0] . '", ' .
                 'regular: "' . $fontname[0] . '", ' .
                 'italic: "' . $fontname[1] . '", ' .
                 'bold: "' . $fontname[2] . '", ' .
                 'boldItalic: "' . $fontname[3] . '" },';
      }
      $buffer .= '];';
      $buffer = str_replace('},]', '}]', $buffer);
      return $buffer;
   }

   /**
    * create css-include string for html
    */
   private static function _setFonts($fonts)
   {
      $font = array();
      $cssName = array();
      $font = explode(';', $fonts);

      foreach ($font as $name)
      {
         $cssName = explode(':', $name);
         self::$_fonts .= '<link rel="stylesheet" type="text/css" href="webfont/' .
                 trim($cssName[0]) . '.css" />';
      }
   }

   /**
    * returns the css-include-code for used fonts in the 
    * texteditor
    * @return string html css-link to init the texteditor
    */
   public static function getInitFonts()
   {
      return self::$_fonts;
   }

   /**
    * returns the js-array for init the texteditor
    * @return string html js-code to init the texteditor
    */
   public static function getInitTexteditor()
   {
      return self::$_buffer;
   }

   /**
    * returns the js-array for init the texteditor
    * @return string html js-code with fontnames
    */
   public static function getInitFontarray()
   {
      return self::$_fontarray;
   }

}
