<?php
if (!defined('TOBBIVM'))
    header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Erste Zeile: Kurzbeschreibung für �bersichten.
 *
 * Mehrzeiliger, optionaler Dokumentationsblock.
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
/**
 * Usable Elements to display articles
 * {productJs}		= Js-code to actualize price if neccessary
 * {seasonPriceList}	= html code for season price list
 * {sku}		= Ordernumber
 * {textTop}		= product description on top of side
 * {textBottom}		= product description on bottom of Side
 * {smallimage}		= path to product small-image
 * {image}		= path to product image
 * {url}		= url to extrapage like vendor etc. - if available 
 * {onStock}		= stock quantity
 * {name}		= product name
 * {sales}		= product sales
 * {price}		= price including tax
 * {seasonPriceList}    = Graduated price list
 * {shipping}           = Shipping price - if available 
 * {shippingList}       = Graduated shipping price list - if available 
 * {productUnit}	= product-units / price
 * {tax}		= tax from price
 * {taxValue}		= tax-value in percent
 * {Currency}		= Symbol for used currency
 * {attribute}		= Customer attributes incl. price customizations
 * {createdate}		= Creation date of article
 * {changedate}		= Last change date of article
 * {buyButton}		= Buy-Button
 * {number}		= Items to buy
 * {option}		= display the options-block for this product
 * 
 * INCLUDE articlecounter.tpl.php = Page-Navigation
 */
?>

{productJs}

<div id="artikel">
    <div class="colorettiA6">
        <!-- INCLUDE articlecounter.tpl.php -->
        <hr>
        {formStart}
        <div id="colorettiA6Left">
            <img src="{smallimage}" /><br>
            <img src="../images/user/coloretti/coloretti-schriftzug.png" /><br>
        </div>
        <div id="colorettiA6Right">
            <h1>{name}</h1>
            {textTop}<br><br>
            <div id="price">

                <!-- IF productJs -->
                {productUnit}, bei angegebener Menge:&nbsp;
                {price}{currency}
                <!-- ELSE -->
                {productUnit}&nbsp;&nbsp;
                {price}{currency}
                <!-- ENDIF -->
            </div>
            <div id="tax">
                enthaltene Mehrwertsteuer ({taxValue}%)&nbsp;=&nbsp;{tax}&nbsp;{currency}&nbsp;
            </div>

            {seasonPriceList}

            <div id="shippinglist">
                <!-- IF shippingList -->
                <p>
                    <span>Versandkosten:</span><br>
                    <!-- BEGIN shippingList -->
                    <!-- IF to="X" -->
                    ab {from} Stück = {value}{currency}<br>
                    <!-- ELSEIF to="0" -->
                    ab {from} Stück = Kostenloser Versand<br>
                    <!-- ELSE -->
                    von {from} bis {to} Stück = {value}{currency}<br>
                    <!-- ENDIF value="0" -->
                    <!-- END shippingList -->
                </p>
                <!-- ENDIF -->
            </div>

            <div id="buyButtonDetail">
                Menge: {number} {buyButton}
            </div>
        </div>
        {formEnd}
    </div>

    <br style="clear:both;">
    <br>
    <hr>
    <!-- INCLUDE articlecounter.tpl.php -->
    {textBottom}
</div>