<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create category browse page
 * get: category.tpl.php
 * used from category.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
/**
 * Usable Elements from the array to display articles
 * {textTop}		= category description on top of side
 * {textBottom}	= category description on bottom of Side
 * {text}			= product short description
 * {link}			= link to the article-detailpage
 * {name}			= product name
 * {image}			= path to product small-image
 * {onStock}		= stock quantity
 * {sales}			= product sales
 * {price}			= price including tax
 * {productUnit}	= product-units / price
 * {tax}				= tax from price
 * {taxValue}		= tax-value in percent
 * {Currency}		= Symbol for used currency
 * {two}				= counter for 2-row-display
 * {three}			= counter for 3-row-display
 * {four}			= counter for 4-row-display
 */
?>
<div class="colPage1">
	<!-- INCLUDE pagecounter.tpl.php -->
	<h1>{header}</h1>
	<p>
		{textTop}
	</p>

	<!-- BEGIN articleList -->

	<div class="colPage1a">
		<div class="colPage1Left">
			<a href="{link}">
				<img src="{image}" /><br>
			</a>
		</div>
		<a href="{link}">
			<div class="colPage1Right">


				<h2>{name}</h2>
				{text}
				<table id="price" cellpadding="0" cellspacing="0">
					<tr>
						<td id="priceLeft">
							<!-- IF specialOffer -->
							<span id="angebotMenge1">
								Noch {onStock} St&uuml;ck verf&uuml;gbar!
							</span>
							<!-- ENDIF -->
						</td>
						<td id="priceRight">		
							<div class="price">{productUnit}&nbsp;&nbsp;<span>{price}&nbsp;{Currency}</span></div>
							<div class="tax">
								enthaltene Mehrwertsteuer ({taxValue}%)&nbsp;=&nbsp;{tax}&nbsp;{Currency}&nbsp;</div>
						</td>
					</tr>
				</table>		
			</div>
		</a>
	</div>

	<div style="clear:both;"></div>
	<!-- END articleList -->

	<p>
		{textBottom}
	</p>
	<!-- INCLUDE pagecounter.tpl.php -->
</div>